Announcement Announcement Module
Collapse
No announcement yet.
Error while loading Hibernate Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error while loading Hibernate

    Hi,

    I am trying to start a hibernate session using JPA in a Bundle. The bundle manifest looks as follows:

    Code:
    Manifest-Version: 1.0
    Bundle-Version: 1.0.0
    Bundle-Name: hibernatesession
    Bundle-ManifestVersion: 2
    Bundle-SymbolicName: HibernateSession
    Bundle-RequiredExecutionEnvironment: JavaSE-1.6
    Import-Package: javax.sql,
     org.apache.commons.dbcp;version="[1.2.2.osgi,1.2.2.osgi]",
     org.springframework.orm.jpa;version="[3.0.0.RELEASE,3.0.0.RELEASE]",
     org.springframework.orm.jpa.vendor;version="[3.0.0.RELEASE,3.0.0.RELEASE]"
    Import-Bundle: com.springsource.org.hibernate;version="[3.3.1.GA,3.3.1.GA]",
     com.springsource.org.hibernate.annotations;version="[3.4.0.GA,3.4.0.GA]",
     com.springsource.org.hibernate.annotations.common;version="[3.3.0.ga,3.3.0.ga]",
     com.springsource.org.hibernate.ejb;version="[3.4.0.GA,3.4.0.GA]",
     com.springsource.javax.persistence;version="[1.0.0,1.0.0]"
    Loading this in the Spring DM Server gives the following error:

    Code:
    [2010-05-05 16:18:40.090] TCP Connection(48)-127.0.0.1 <DE0003E> Install failed for bundle 'HibernateSession' version '1.0.0'. 
    [2010-05-05 16:18:40.121] TCP Connection(48)-127.0.0.1 <DE0500E> Unable to install application from URI 'file:/D:/springsource-dm-server-2.0.1.RELEASE/stage/HibernateSession.jar'. Cannot satisfy constraints for bundle 'HibernateSession' version '1.0.0'. Cannot resolve: HibernateSession
        Resolver report:
            An Import-Package could not be resolved. Caused by missing constraint in bundle <HibernateSession_1.0.0>
                 constraint: <Import-Package: org.hibernate.ejb.transaction; version="0.0.0"> constrained to bundle <com.springsource.org.hibernate> constrained bundle version range "[3.3.1.GA,3.4.0)"
    . com.springsource.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'HibernateSession' at version '1.0.0': Cannot resolve: HibernateSession
        Resolver report:
            An Import-Package could not be resolved. Caused by missing constraint in bundle <HibernateSession_1.0.0>
                 constraint: <Import-Package: org.hibernate.ejb.transaction; version="0.0.0"> constrained to bundle <com.springsource.org.hibernate> constrained bundle version range "[3.3.1.GA,3.4.0)"
    
    	at com.springsource.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:54)
    	at com.springsource.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:71)
    	at com.springsource.kernel.install.pipeline.internal.CompensatingPipeline.doProcessTree(CompensatingPipeline.java:81)
    	at com.springsource.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:50)
    	at com.springsource.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:71)
    	at com.springsource.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:50)
    	at com.springsource.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:277)
    	at com.springsource.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:160)
    	at com.springsource.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:132)
    	at com.springsource.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:196)
    	at com.springsource.kernel.deployer.management.StandardDeployer.deploy(StandardDeployer.java:62)
    	at sun.reflect.GeneratedMethodAccessor73.invoke(Unknown Source)
    	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    	at java.lang.reflect.Method.invoke(Method.java:597)
    	at com.sun.jmx.mbeanserver.ConvertingMethod.invokeWithOpenReturn(ConvertingMethod.java:167)
    	at com.sun.jmx.mbeanserver.MXBeanIntrospector.invokeM2(MXBeanIntrospector.java:96)
    	at com.sun.jmx.mbeanserver.MXBeanIntrospector.invokeM2(MXBeanIntrospector.java:33)
    	at com.sun.jmx.mbeanserver.MBeanIntrospector.invokeM(MBeanIntrospector.java:208)
    	at com.sun.jmx.mbeanserver.PerInterface.invoke(PerInterface.java:120)
    	at com.sun.jmx.mbeanserver.MBeanSupport.invoke(MBeanSupport.java:262)
    	at com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.invoke(DefaultMBeanServerInterceptor.java:836)
    	at com.sun.jmx.mbeanserver.JmxMBeanServer.invoke(JmxMBeanServer.java:761)
    	at javax.management.remote.rmi.RMIConnectionImpl.doOperation(RMIConnectionImpl.java:1426)
    	at javax.management.remote.rmi.RMIConnectionImpl.access$200(RMIConnectionImpl.java:72)
    	at javax.management.remote.rmi.RMIConnectionImpl$PrivilegedOperation.run(RMIConnectionImpl.java:1264)
    	at javax.management.remote.rmi.RMIConnectionImpl.doPrivilegedOperation(RMIConnectionImpl.java:1359)
    	at javax.management.remote.rmi.RMIConnectionImpl.invoke(RMIConnectionImpl.java:788)
    	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    	at java.lang.reflect.Method.invoke(Method.java:597)
    	at sun.rmi.server.UnicastServerRef.dispatch(UnicastServerRef.java:305)
    	at sun.rmi.transport.Transport$1.run(Transport.java:159)
    	at java.security.AccessController.doPrivileged(Native Method)
    	at sun.rmi.transport.Transport.serviceCall(Transport.java:155)
    	at sun.rmi.transport.tcp.TCPTransport.handleMessages(TCPTransport.java:535)
    	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0(TCPTransport.java:790)
    	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run(TCPTransport.java:649)
    	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
    	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
    	at java.lang.Thread.run(Thread.java:619)
    Why is DM server looking for the transaction package with no version number?

  • #2
    That's the way Import-Bundle is implemented. However the bundle version range "[3.3.1.GA,3.4.0)" looks a bit fishy as your manifest does not import a bundle with version range ending exclusively in 3.4.0. If you use the admin console to explore the OSGi state dump produced by this failure, you may be able to get a better idea of why the above version range is occurring.

    Comment

    Working...
    X